﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace Umc.Sample.CustomSessionProvider
{
	/// <summary>
	/// 세션에 저장될 개체입니다.
	/// </summary>
	[Serializable]
	public class Person
	{
		public string Name { get; set; }
	}

	public partial class _Default : System.Web.UI.Page
	{
		/// <summary>
		/// Custom Session Provider 에 직렬화된 
		/// <seealso cref="Umc.Sample.CustomSessionProvider.Person"/> 개체를 저장하는 예입니다.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		protected void Page_Load(object sender, EventArgs e)
		{
			// 세션이 null 인지 체크
			if( Session["A"] == null )
			{
				// 세션이 없으면 세션키 A 에 Person 개체를 생성하여 저장한다.
				Response.Write("Session Create<br/>");
				Session["A"] = new Person { Name="umjunil" };
			}

			// 위에서 Session 을 생성했으므로, 세션을 가져와서 뿌려준다.
			if (Session["A"] != null)
			{
				Response.Write( ((Person)Session["A"]).Name );
			}
		}
	}
}
